"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalControllerConnector = void 0;
const BaseControllerConnector_1 = require("./BaseControllerConnector");
const RemoteService_1 = require("../RemoteService");
class LocalControllerConnector extends BaseControllerConnector_1.BaseControllerConnector {
    constructor(connection) {
        super(connection);
        this.sendServerEvent = (event, data) => {
            // TODO move serverEvent to Keywords
            this._connection.functionalHandler.sendCommand('serverEvent', [event, ...data]);
        };
        // TODO move remoteAccess to EventNames
        this._connection.functionalHandler.addCommandListener('remoteAccess', (params) => {
            if (params) {
                if (params.length === 2) {
                    (0, RemoteService_1.setRemoteCredentials)(params[0], params[1]);
                }
                else if (params[0] === 'on') {
                    (0, RemoteService_1.initRemote)();
                }
                else {
                    (0, RemoteService_1.stopRemote)();
                }
            }
        });
        // TODO move remoteAccess to EventNames
        this.sendServerEvent('remoteAccess', [(0, RemoteService_1.getRemoteAccessState)()]);
    }
}
exports.LocalControllerConnector = LocalControllerConnector;
