"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const device_1 = require("@stargate-system/device");
const child_process_1 = require("child_process");
let cpuTemperature;
let wifiSignal;
const init = () => {
    cpuTemperature = device_1.GateDevice.factory.createString(device_1.Directions.output);
    cpuTemperature.valueName = 'CPU Temperature';
    wifiSignal = device_1.GateDevice.factory.createString(device_1.Directions.output);
    wifiSignal.valueName = 'WiFi Signal';
    setInterval(() => {
        readTemperature();
        readSignalStrength();
    }, 2000);
};
const readTemperature = () => {
    const cmd = (0, child_process_1.spawn)("/usr/bin/vcgencmd", ["measure_temp"]);
    cmd.stdout.on("data", (buf) => {
        const searchArray = buf === null || buf === void 0 ? void 0 : buf.toString("utf8").split('=');
        if (searchArray && searchArray[1]) {
            cpuTemperature.setValue(searchArray[1].replace("'C", '').trim());
        }
    });
};
const readSignalStrength = () => {
    const cmd = (0, child_process_1.spawn)('iwconfig', ['wlan0']);
    cmd.stdout.on("data", (buf) => {
        const searchArray = buf === null || buf === void 0 ? void 0 : buf.toString('utf8').split('Link Quality=');
        if (searchArray && searchArray[1]) {
            const searchArray2 = searchArray[1].split('Signal level=');
            const searchArray3 = searchArray2[1].split('dBm');
            wifiSignal.setValue(searchArray2[0] + searchArray3[0]);
        }
    });
};
const infoApi = {
    init
};
exports.default = infoApi;
