"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Motor = void 0;
// @ts-ignore
const pigpio_1 = require("pigpio");
class Motor {
    constructor(pin1, pin2) {
        this.setpoint = 0;
        this.current = 0;
        this.minimum = 100;
        this.increment = 20;
        this.run = (command) => {
            if (command === 0) {
                this.setpoint = 0;
            }
            else {
                const dir = command > 0 ? 1 : -1;
                this.setpoint = Math.round(dir * (Math.abs(command) * (255 - this.minimum) + this.minimum));
            }
        };
        this.stop = () => {
            this.setpoint = 0;
            this.current = 0;
            this._pin1.pwmWrite(0);
            this._pin2.pwmWrite(0);
        };
        this.adjust = () => {
            const dir = (this.setpoint - this.current) > 0 ? 1 : -1;
            if (this.current === 0) {
                this.current = dir * this.minimum;
            }
            else {
                this.current += dir * this.increment;
            }
            if ((dir === -1 && this.current < this.setpoint) || (dir === 1 && this.current > this.setpoint)) {
                this.current = this.setpoint;
            }
            if (Math.abs(this.current) < this.minimum) {
                this.current = 0;
            }
            if (this.current === 0) {
                this._pin1.pwmWrite(0);
                this._pin2.pwmWrite(0);
            }
            else if (this.current > 0) {
                this._pin1.pwmWrite(this.current);
                this._pin2.pwmWrite(0);
            }
            else {
                this._pin1.pwmWrite(0);
                this._pin2.pwmWrite(-this.current);
            }
        };
        this._pin1 = new pigpio_1.Gpio(pin1, { mode: pigpio_1.Gpio.OUTPUT });
        this._pin2 = new pigpio_1.Gpio(pin2, { mode: pigpio_1.Gpio.OUTPUT });
        setInterval(() => {
            if (this.setpoint !== this.current) {
                this.adjust();
            }
        }, 50);
    }
}
exports.Motor = Motor;
