"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
let settings = {
    head: {
        horizontalServoPin: 21,
        verticalServoPin: 14,
        horizontalCenter: 0.5,
        verticalCenter: 0.5
    },
    camera: {
        useGain: false,
        gain: 10
    },
    chassis: {
        leftMotorPins: [20, 16],
        rightMotorPins: [26, 19]
    },
    flashlight: {
        pin: 4
    }
};
let saveTimeout;
const getSettings = () => settings;
const save = () => {
    if (saveTimeout === undefined) {
        saveTimeout = setTimeout(() => {
            saveTimeout = undefined;
            fs_1.default.writeFile('settings.json', JSON.stringify(settings), (err) => {
                if (err) {
                    console.log('On saving settings', err);
                }
            });
        }, 1000);
    }
};
const init = () => {
    try {
        const settingsFile = fs_1.default.readFileSync('settings.json');
        settings = JSON.parse(settingsFile.toString());
    }
    catch (err) {
        console.log('On loading settings', err);
    }
};
const settingsApi = {
    getSettings,
    save,
    init
};
exports.default = settingsApi;
